# Class VocabAttributeChecker

java.lang.Object
uk.ac.starlink.ttools.votlint.VocabAttributeChecker

All Implemented Interfaces:
  `AttributeChecker`

public class VocabAttributeChecker extends Object implements AttributeChecker
Checks an attribute whose content is defined by the content of an IVOA Vocabulary.

Since:
  25 Jun 2021
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`VocabAttributeChecker(VocabChecker vocabChecker)`

## Method Summary

Modifier and Type
Method
Description
`void`
`check(String nameValue, ElementHandler handler)`
Performs a syntactic and/or semantic check on an attribute value for a given element.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VocabAttributeChecker

public VocabAttributeChecker(VocabChecker vocabChecker)

## Method Details

### check

public void check(String nameValue, ElementHandler handler)
Description copied from interface: `AttributeChecker`
Performs a syntactic and/or semantic check on an attribute value for a given element. Anything worthy of comment should be logged through `handler`'s context.

Specified by:
  `check` in interface `AttributeChecker`
Parameters:
  `nameValue` - the value of the attribute to check
  `handler` - the element on which `attValue` appears